﻿using System;

namespace BeeDevelopment.Infrared.Protocols {

	/// <summary>
	/// Represents a command sent by a JVC remote control.
	/// </summary>
	public class JvcCommand : InfraredCommand {

		/// <summary>
		/// Gets the command ID of the button pressed.
		/// </summary>
		public int Command {
			get { return (int)this.GetRange(8, 8); }
		}

		/// <summary>
		/// Gets the address ID of the button pressed.
		/// </summary>
		public int Address {
			get { return (int)this.GetRange(0, 8); }
		}


		/// <summary>
		/// Converts the <see cref="JvcCommand"/> into a descriptive string.
		/// </summary>
		/// <returns>A string describing the command.</returns>
		public override string ToString() {
			return string.Format("Address={0}, Command={1}", this.Address, this.Command);
		}
	}
}