﻿using System;

namespace BeeDevelopment.Infrared.Protocols {

	/// <summary>
	/// Represents a command sent by a SIRCS remote control.
	/// </summary>
	public class SircsCommand : InfraredCommand {

		/// <summary>
		/// Gets the command ID of the button pressed.
		/// </summary>
		public int Command {
			get { return (int)this.GetRange(0,7); }
		}

		/// <summary>
		/// Gets the device address of the button pressed.
		/// </summary>
		public int Address {
			get { return (int)this.GetRange(7, this.Count - 7); }
		}

		/// <summary>
		/// Converts the <see cref="SircsCommand"/> into a descriptive string.
		/// </summary>
		/// <returns>A string describing the command.</returns>
		public override string ToString() {
			return string.Format("Address={0}, Command={1}, Length={2}", this.Address, this.Command, this.Count);
		}

	}
}